# Renew a subscription

Renew a subscription in the 2Checkout system on-demand, controlling the number of days, price, and currency of the extension. Use the **renewSubscription** method to renew a subscription.

## Request parameters

| Parameters            | Type / Description                                                                                                                                                                                                                                                                                                                            |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sessionID             | Required (string). Session identifier, the output of the **Login** method.                                                                                                                                                                                                                                                                    |
| subscriptionReference | Required (string). Unique, system-generated subscription identifier. 2Checkout charges customers using the payment data attached to subscriptions. If customers update payment information in myAccount or you update these details on behalf of subscribers, the 2Checkout system uses the latest card info to charge subscription renewals. |
| days                  | Required (int). The number of days the 2Checkout system extends the lifetime of the subscription.                                                                                                                                                                                                                                             |
| price                 | Required (double). The price that 2Checkout charges the customer for the renewal. The type of price, Gross or Net, is decided by the product setting in the Merchant Control Panel.                                                                                                                                                           |
| currency              | Required (string). The currency associated to the renewal price - ISO 4217 code.                                                                                                                                                                                                                                                              |

## Response parameters

| Parameters | Type / Description                                                 |
| ---------- | ------------------------------------------------------------------ |
| Boolean    | true or false depending on whether or not the operation succeeded. |

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReference = '30E47F8699';
$Days = 4;
$Price = 50;
$Currency = 'eur';

try {
    $CustomPrice = $client->renewSubscription($sessionID, $subscriptionReference, $Days, $Price, $Currency);
}
catch (SoapFault $e) {
    echo "CustomPrice: " . $e->getMessage();
    exit;
}
var_dump("CustomPrice", $CustomPrice);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/subscription-renewal/renew-a-subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
